Get Pending Bridge Flows
curl --request GET \
--url https://backend-global.gains.trade/api/dapp/bridge/flows/pending/{address}import requests
url = "https://backend-global.gains.trade/api/dapp/bridge/flows/pending/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://backend-global.gains.trade/api/dapp/bridge/flows/pending/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"error": "<string>",
"message": "<string>",
"success": true
}{
"error": "<string>",
"message": "<string>",
"success": true
}{
"error": "<string>",
"message": "<string>",
"success": true
}Bridge
Get Pending Bridge Flows
Returns non-finalized bridge flows associated with a wallet address.
GET
/
api
/
dapp
/
bridge
/
flows
/
pending
/
{address}
Get Pending Bridge Flows
Endpoint
GET /api/dapp/bridge/flows/pending/{address}
Returns non-finalized bridge flows associated with a wallet address.
Parameters
| Parameter | Location | Required | Type | Description |
|---|---|---|---|---|
address | path | Yes | string | Wallet address. |
Usage Example
curl -X GET "https://backend-global.gains.trade/api/dapp/bridge/flows/pending/0x0000000000000000000000000000000000000000"
Response Structure
The generated API panel lists the response schema for status codes: 200, 400, 404, 500. Error responses generally return anerror or message field.⌘I
